Bug 1717942 - vim/neovim: arbitrary code execution vulnerability
Summary: vim/neovim: arbitrary code execution vulnerability
Keywords:
Status: CLOSED DUPLICATE of bug 1718308
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1717503 1717949 1717950 1717951
Blocks: 1717944
TreeView+ depends on / blocked
 
Reported: 2019-06-06 13:54 UTC by Dhananjay Arunesh
Modified: 2019-09-29 15:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-13 07:53:36 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-06-06 13:54:49 UTC
Arbitrary code execution vulnerability in Vim < 8.1.1365 and Neovim < 0.3.6
via modelines. Also, why you should not use Vim with default config, or
cat without -v.
 
Reference:
https://github.com/numirias/security/blob/master/doc/2019-06-04_ace-vim-neovim.md
https://twitter.com/rawsec/status/1135895908594409472/photo/1

Comment 1 Dhananjay Arunesh 2019-06-06 14:07:25 UTC
Created neovim tracking bugs for this issue:

Affects: fedora-all [bug 1717950]


Created vim tracking bugs for this issue:

Affects: fedora-all [bug 1717949]

Comment 2 Dhananjay Arunesh 2019-06-06 14:08:01 UTC
Created neovim tracking bugs for this issue:

Affects: epel-7 [bug 1717951]

Comment 3 Dhananjay Arunesh 2019-06-13 07:53:36 UTC

*** This bug has been marked as a duplicate of bug 1718308 ***


Note You need to log in before you can comment on or make changes to this bug.